Stefan H. Holek wrote:
This is an old ZODB, right?


Yup, from Zope 2.7.6

ZGlobals is used by ZClasses. There used to be a time when ZGlobals was still a BTree when it should have been a BTrees.BTree. Then some migration code was added.

It obviously never kicked in ;-)

I suppose the error comes from the fact that BTree.so is now finally no longer part of Zope and your ZODB is old. Or something along these lines ;-)

Well, I guess the thing gets rebuilt, otherwise it'd keep whining...

Anyway, as long as you don't use ZClasses (and I seem to remember you, err, are pretty explicit about your dislike) forget about it.

...but given that I don't care, and it doesn't hurt anymore, I shall indeed forget about it.

cheers,

Chris

--
Simplistix - Content Management, Zope & Python Consulting
           - http://www.simplistix.co.uk

_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope )

Reply via email to